[Mailman-Users] make install fails on Linux Sparc64

Greg Ward gward at mems-exchange.org
Mon Aug 13 18:38:04 CEST 2001

On 10 August 2001, Brett Mueller said:
> For what it's worth, Python = 2.0, gcc = egcs-2.91.66.  Distribution is
> Slackware 7.2...  The last lines from "make install" are at the end of this
> message.
> Traceback (most recent call last):
>   File "bin/update", line 31, in ?
>     from Mailman import Utils
>   File "/home/mailman/Mailman/Utils.py", line 32, in ?
>     import random
>   File "/usr/lib/python2.0/random.py", line 84, in ?
>     NV_MAGICCONST = 4*exp(-0.5)/sqrt(2.0)
> OverflowError: math range error

This looks like a platform-specific bug in Python specific to SPARC-64
(possibly other 64-bit platforms? who knows), specifically in the
random.py module from the standard library.  I don't think upgrading to
Python 2.0.1 will help, since this module didn't change between Python
2.0 and 2.0.1.  However, it changed a bunch from 2.0 to 2.1 -- so you
might try this with Python 2.1.  If not, you should file a bug at

Greg Ward - software developer                gward at mems-exchange.org
MEMS Exchange                            http://www.mems-exchange.org

More information about the Mailman-Users mailing list